Bug 183348 - sata cd access prints unnecessary console messages
sata cd access prints unnecessary console messages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 10:35 EST by Peter Jones
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 12:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't print this crap any more (488 bytes, patch)
2006-02-28 11:15 EST, Peter Jones
no flags Details | Diff

  None (edit)
Description Peter Jones 2006-02-28 10:35:06 EST
Description of problem:

If you're running haldaemon, then it periodically issues TEST_UNIT_READY (among
other commands) to CD drives to check and see if there's media, etc.  On SATA CD
drives the "error" response that's sent back causes lots of console messages.

Version-Release number of selected component (if applicable):

Today I'm seeing it on 2.6.15-1.1977_FC5, but it's been doing it for a while.

How reproducible:

Always.


Steps to Reproduce:
1. Install
2. Reboot
3. Watch console
  
Actual results:

ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
ata7: translated ATA stat/err 0x51/24 to SCSI SK/ASC/ASQ 0xb/00/00
sr0: CDROM (ioctl) error, command: <6>Test Unit Ready 00 00 00 00 00 00
sr: Current [descriptor]: sense key: Aborted Command
    Additional sense: No additional sense information

Expected results:

No text.

Additional info:

I also suspect "Aborted Command" isn't the response code to which libata should
be translating this.
Comment 1 Peter Jones 2006-02-28 10:50:03 EST
This pretty much makes the console unusable until you stop haldaemon.
Comment 2 Peter Jones 2006-02-28 11:15:32 EST
Created attachment 125405 [details]
Don't print this crap any more

This just makes the libata printk go away, but it'll still print the error from
sr0, so a more appropriate fix (such as translating 0x51/24 to something other
than an error) should probably happen.
Comment 3 Dave Jones 2006-03-06 12:56:32 EST
gone in latest builds.

Note You need to log in before you can comment on or make changes to this bug.